//
//  EDAMUsage_mac.h
//  SkitchCocoa
//
//  Created by Chris Hinkle on 7/12/12.
//  Copyright (c) 2012 Evernote Corp. All rights reserved.
//

#import "EDAMUsage.h"

@interface EDAMUsage_manual : EDAMUsage

/**
 * Update the session due to user activity.  Increments the session count as
 * necessary.  
 *
 * NOTE: This method should be fast since it gets called on every key press
 * and mouse click, among other places.
 */
- (void)updateSessionTracking;

@end
