//
//  ENHTMLTemplate.h
//  CoreNote
//
//  Created by Steve White on 5/15/12.
//  Copyright (c) 2012 Evernote Corporation. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface ENHTMLTemplate : NSObject 

@property (readonly, nonatomic) NSString *file;
@property (readonly, nonatomic) NSString *header;
@property (readonly, nonatomic) NSString *footer;
@property (readonly, nonatomic) NSUInteger length;

+ (ENHTMLTemplate *) noteTemplate;

- (id) initWithContentsOfFile:(NSString *)file;

@end
