//
//  ENMIMEUtils.h
//  CoreNote
//
//  Created by Steve White on 10/13/11.
//  Copyright 2011 Evernote Corporation. All rights reserved.
//

#import <Foundation/Foundation.h>

extern NSString * const ENMIMETypeOctetStream;
extern NSString * const ENMIMETypeZipFile;

@interface ENMIMEUtils : NSObject {

}

+ (NSString *) fileExtensionForMIMEType: (NSString *) mime;
+ (NSString *) determineMIMETypeForFile: (NSString *) filename;
+ (NSString *) determineMimeTypeForFileExtension:(NSString *)extension;
+ (NSString *) mimeTypeForUTI:(NSString *)uti;
+ (NSString *) utiForMimeType:(NSString *)mimeType;

@end
