//
//  ENManagedObjectContext.h
//  CoreNote
//
//  Created by Steve White on 10/13/11.
//  Copyright 2011 Evernote Corporation. All rights reserved.
//

#import <CoreData/CoreData.h>
#import <Foundation/Foundation.h>

@class ENCoreDataLocalStore;

extern NSString * const ENManagedObjectContextDidResetNotification;

@interface ENManagedObjectContext : NSManagedObjectContext

@property (weak, nonatomic) ENCoreDataLocalStore *localStore;
@property (assign, nonatomic, readwrite, getter=isInMergeSave) BOOL inMergeSave;

- (BOOL) saveForMerge:(NSError *__autoreleasing *)error;

@end
