//
//  ENSearchStoreIndexRequest.h
//  Evernote
//
//  Created by Steve White on 6/30/12.
//  Copyright (c) 2012 Evernote Corporation. All rights reserved.
//

#ifndef ENSearchStoreIndexRequest_HEADER_GUARD
#define ENSearchStoreIndexRequest_HEADER_GUARD

#import <Foundation/Foundation.h>

@interface ENSearchStoreIndexRequest : NSObject

@property (strong, nonatomic) id serviceEntityID;
@property (strong, nonatomic) NSString *guid;
@property (strong, nonatomic) id noteID;

@property (strong, nonatomic) NSString *filepath;
@property (strong, nonatomic) NSString *contents;

@property (assign, nonatomic, getter = isHTMLContent) BOOL htmlContent;
@property (assign, nonatomic, getter = isRecoData) BOOL recoData;
@property (assign, nonatomic) BOOL needsTokenization;

+ (ENSearchStoreIndexRequest *) indexRequestForServiceEntity:(id)serviceEntity;

@end


#endif
