//
//  ENServerSearchOp.h
//  Evernote
//
//  Created by Steve White on 8/12/13.
//  Copyright (c) 2013 Evernote Corporation. All rights reserved.
//

#import <Foundation/Foundation.h>

@class EDAMHTTPClient;
@class ENCoreDataLocalStore;

@interface ENServerSearchOp : NSOperation

@property (strong, nonatomic) EDAMHTTPClient *edamClient;
@property (strong, nonatomic) ENCoreDataLocalStore *localStore;
@property (strong, nonatomic) NSString *queryString;
@property (strong, nonatomic) NSString *notebookGuid;
@property (nonatomic) BOOL deletedNotes;
@property (strong, nonatomic) id error;
@property (nonatomic) uint32_t searchId;

@end
