//
//  NSDate+Additions.h
//  CoreNote
//
//  Created by Steve White on 6/17/12.
//  Copyright (c) 2012 Evernote Corporation. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface NSDate (Additions)
- (BOOL) isToday;
- (BOOL) isThisYear;
- (int) daysFromNow;
- (NSDate *) dateByAddingDays:(int)days;

+ (NSDate *) dateWithNumberOfMonthsSince1970:(NSInteger)months;
- (NSInteger) numberOfMonthsSince1970;

@end
