//
//  NSString+Scrubbing.h
//  Evernote
//
//  Created by Steve White on 12/4/13.
//  Copyright (c) 2013 Evernote Corporation. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface NSString (Scrubbing)

- (NSString *) scrubUsingRegex:(NSString *)regexPattern
                 withMinLength:(uint16_t)minLength
                     maxLength:(uint16_t)maxLength
   invalidCharacterReplacement:(NSString *)replacement;

- (NSString *) scrubUsingRegex:(NSString *)regexPattern
                 withMinLength:(uint16_t)minLength
                     maxLength:(uint16_t)maxLength;

@end
