//
//  ENDelegateLogging.h
//  ENDelegateLogging
//
//  Created by Tong Liu on 5/22/14.
//  Copyright (c) 2014 Evernote. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "ENDelegateLoggingDefines.h"

@protocol ENDelegateLogging <NSObject>

@required
+ (void) logMessage:(NSString *)message
              level:(ENDelegateLoggingLevel)level
           function:(const char *)function;

@end


@interface ENDelegateLogging : NSObject

+ (void) registerLoggerClass:(Class)loggerClass;

+ (void) logMessage:(NSString *)message
              level:(ENDelegateLoggingLevel)level
           function:(const char *)function;

@end
