//
//  ENSocialSearchMerger.h
//  SocialSearch
//
//  Created by Eric Cheng on 7/16/13.
//  Copyright (c) 2013 Evernote Corp. All rights reserved.
//

#import <Foundation/Foundation.h>

@class ENSocialProfile;

typedef enum {
    SocialSearchMergeOptionDefault = 0,
    SocialSearchMergeOptionLinkedIn,
    SocialSearchMergeOptionAddressBook,
    SocialSearchMergeOptionFacebook
} SocialSearchMergeOptionType;

@interface ENSocialSearchMerger : NSObject

+ (ENSocialSearchMerger *)sharedMerger;

@property (assign) SocialSearchMergeOptionType mergeOption;

- (ENSocialProfile *)newMergedSocialProfileFromSocialProfileMap:(NSDictionary *)socialProfileMap;

@end
