//
//  EDAMSharedAuthCache.h
//  CoreNote
//
//  Created by Steve White on 2/4/12.
//  Copyright (c) 2012 Evernote Corporation. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface EDAMSharedAuthCache : NSObject 

+ (EDAMSharedAuthCache *)sharedAuthCache;

- (id)cacheObjectForKey:(id)key;
- (void)setCacheObject:(id)obj forKey:(id)key;
- (void)removeAllCachedObjects;
- (void) removeObjectForKey: (id) key;

@end

