//
//  ENHTMLSearchTextExtractor.h
//  Evernote
//
//  Created by Steve White on 10/13/10.
//  Copyright 2010 Evernote Corporation. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "ENXMLSaxParser.h"

@interface ENHTMLSearchTextExtractor : NSObject<ENXMLSaxParserDelegate> {
  ENXMLSaxParser *_parser;
  NSMutableString *_outputBuffer;

  BOOL _parseInProgress;
  BOOL _inBody;
  NSUInteger _ignoreElement;
}

- (NSString *) extractContentsOfFile:(NSString *)inputFile;
- (NSString *) extractContentsOfString:(NSString *)string;

@end
