//
//  ENHTMLWriter.h
//  Evernote
//
//  Created by Steve White on 5/8/12.
//  Copyright (c) 2012 Evernote Corporation. All rights reserved.
//

#import "KSHTMLWriter.h"

@class ENEncryptedContentInfo;
@class ENResourceMO;

@interface ENHTMLWriter : KSHTMLWriter {
  NSMutableString *_memoryContents;
}

+ (NSString *) htmlForResource:(ENResourceMO *)resource;
+ (NSString *) emptyNote;

- (id) initToMemory;
@property (nonatomic, readonly) NSString *memoryContents;

- (void) writeTodoWithAttributes:(NSDictionary *)attributes;
- (void) writeEncryptedContentInfo:(ENEncryptedContentInfo *)info;
- (void) writeResource:(ENResourceMO *)resource
        withAttributes:(NSDictionary *)attributes;

@end
