//
//  ENMLWriter.h
//  CoreNote
//
//  Created by Steve White on 10/25/11.
//  Copyright (c) 2011 Evernote Corporation. All rights reserved.
//

#import "ENXMLWriter.h"
#import "ENEncryptedContentInfo.h"

@class ENResourceMO;

@interface ENMLWriter : ENXMLWriter

+ (NSString *) emptyNote;
+ (BOOL) validateURLComponents: (NSURL *) url;

- (void) startDocumentWithAttributes:(NSDictionary *)attributes;

- (void) writeResourceWithDataHash:(NSData *)dataHash
                              mime:(NSString *)mime
                        attributes:(NSDictionary *)attributes;
- (void) writeResource:(ENResourceMO *)resource;
- (void) writeEncryptedInfo:(ENEncryptedContentInfo *)encryptedInfo;
- (void) writeTodoWithCheckedState:(BOOL)checkedState;

@end
