//
//  ENRecoTextExtractor.h
//  Evernote
//
//  Created by Steve White on 9/13/10.
//  Copyright 2010 Evernote Corporation. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface ENRecoTextExtractor : NSObject

@property (assign, nonatomic) NSUInteger minimumWeight;

- (id) initWithFile:(NSString *)file;
- (id) initWithContent:(NSString *)content;
- (id) initWithData:(NSData *)data;

- (NSString *) plainText;
- (NSDictionary *) itemsMatchingSearchTerms:(NSArray *)searchTerms;

@end