//
//  ENResourcePreviewRequest.h
//  Evernote
//
//  Created by Steve White on 8/31/13.
//  Copyright (c) 2013 Evernote Corporation. All rights reserved.
//

#import "ENPreviewRequest.h"

@class EDAMHTTPClient;
@class ENResourceMO;

@interface ENResourcePreviewRequest : ENPreviewRequest

- (id) initWithResource:(ENResourceMO *)resource;

@property (readonly, nonatomic) NSURL *resourceURL;
@property (readonly, nonatomic) NSData *resourceHash;
@property (strong, nonatomic) EDAMHTTPClient *edamClient;
@property (nonatomic) BOOL largeImage;

@end
