//
//  NSRegularExpression+AGRegex.h
//  Evernote
//
//  Created by Steve White on 2/24/12.
//  Copyright (c) 2012 Evernote Corporation. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface NSRegularExpression (AGRegex)

+ (NSRegularExpression *) regexWithPattern:(NSString *)pattern;
- (BOOL) findInString:(NSString *)string;
- (BOOL) matchesString:(NSString *)string;
- (NSArray *) capturedSubstringsOfString:(NSString *)string;
- (NSString *)replaceWithString:(NSString *)rep inString:(NSString *)str;

@end
