//
//  NSString+NilAdditions.h
//  Evernote
//
//  Created by Steve White on 7/12/12.
//  Copyright (c) 2012 Evernote Corporation. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface NSString (NilAdditions)

/**
 * Compare receiver to another string, but consider null equal to the empty string
 */
- (BOOL) isEqualToStringWithEmptyEqualToNull: (NSString *) s;


@end
