//
//  ENManagedObject+ENSharedUtilities.h
//  Evernote
//
//  Created by Andrew McGeachie on 12/9/13.
//  Copyright (c) 2013 Evernote. All rights reserved.
//

#ifndef ENSharedUtilities_ENManagedObject_EvernoteMac
#define ENSharedUtilities_ENManagedObject_EvernoteMac

#import <CoreNote/CoreNote.h>


@interface ENManagedObject (ENSharedUtilities)


/**
 * Caching method for grabbing the URI representation of our NSManagedObjectID
 */
@property (readonly,nonatomic) NSURL * objectIDAsURI;


/**
 * Return the local unique ID for this object in a string representation.
 */
@property (readonly,nonatomic) NSString * localStoreIDAsString;


@end

#endif
