//
//  ENSharedPreferencesConstants.h
//  ENSharedUtilities
//
//  Created by Zdzislaw Losvik on 18/02/2013.
//  Copyright (c) 2013 Evernote. All rights reserved.
//

#import <Foundation/Foundation.h>

/** play sound after a clip **/
extern NSString * const kENPlaySoundAfterClipPrefsKey;

/** note's font **/
extern NSString * const ENNoteFont;
extern NSString * const ENNotePlainTextFont;

/** show Elephant **/
extern NSString * const kENShowsStatusBarItem;

// If the user has the option of meeting notifications, is it enabled? (default YES)
extern NSString * const kENMeetingNotificationsEnabled;

// Does the user have the option of using meeting notifications?
extern NSString * const kENMeetingNotificationsInTestPopulation;

// keys expected in accountInfo dict by analytics
extern NSString* const kENAnalyticsAccountInfo_Type; // Free, Premium, Business
extern NSString* const kENAnalyticsAccountInfo_userID; // user id ENxxxxx or YXxxxxx
extern NSString* const kENAnalyticsAccountInfo_serviceHost; // currentAccount.serviceHost
extern NSString* const kENAnalyticsAccountInfo_version; // Main app version (build) CFBundleVersion
extern NSString* const kENAnalyticsAccountInfo_shortVersion; // Main app short version (marketing version) CFBundleShortVersionString
